Description

Hi there,

in our company, we are using many users per project. This list could be a mess, even if it is sorted by first/lastname.

I created a patch which hides the watchers by default if they reach a given limit.

The patch provides also some javascripts for a quickfilter of the watcher list.

Maybe you want to take a look at it.

Best regards,

Daniel

Related issues:

Related to Redmine - Patch #15833: Watchers checkboxes are now being hidden b... Closed

Is duplicate of Redmine - Feature #8562: Watchers list too big in new issue form Closed 2011-06-08

History

#1 - 2013-07-07 06:05 - Todd Hambley

+1

Works better with additional filter to remove class 'visible'

function findWatchers(checking,searchtext){

  if(checking.text().toLowerCase().indexOf(searchtext) > -1){

    checking.removeClass("hidden").addClass("visible");

  }

}

$(document).ready(function(){

  $('#watchers_filter').keyup(function(e){

    var searchtext = $(this).val().toLowerCase();

    var elements = $('#watchers_inputs > label');

    elements.not('.hidden').addClass('hidden');

    elements.filter('.visible').removeClass('visible'); // <- inserted line

    elements.each(function(){

      findWatchers($(this),searchtext);

    })

  });

  $('#mark_all_watchers').click(function(){

    $('#watchers_inputs > label').not('.hidden').children('input:checkbox:not(:checked)').attr('checked','

checked');

  });

});

#2 - 2013-08-08 16:45 - Daniel Felix

Yes this would be good through. :-)

#3 - 2014-01-09 16:20 - Daniel Felix
- Related to Patch #15833: Watchers checkboxes are now being hidden by default added

#4 - 2014-01-11 13:13 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

Having a watcher search field on the issue form (for members) and an other when clicking "Search for watchers" (for all users) is a bit awkward

IMHO.

When there are many members, another solution would be to simply not display the checkboxes by default on the issue form and let the user search

for watchers through the modal window. And maybe improve this windows by adding an option "members/all users" and displaying members only by

default. What do you think?

#5 - 2014-01-11 13:18 - Daniel Felix

Yes this would be good too. But the new issue view is quite confusing if there is a project with 100+ Users. :-)

#6 - 2014-01-19 11:03 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

I'm closing it as a dup of #8562. Now, the default checkbox are not displayed if there are more than 20 members.

#7 - 2014-01-19 11:03 - Jean-Philippe Lang

- Is duplicate of Feature #8562: Watchers list too big in new issue form added
